Skip to main content
POST
/
o
/
{organisation_id}
/
activations
Activates a User on an Environment.
curl --request POST \
  --url https://platform.versori.com/api/v2/o/{organisation_id}/activations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "userId": "<string>",
  "environmentId": "<string>",
  "connections": [
    {
      "connectionTemplateId": "<string>",
      "existingConnectionId": "<string>"
    }
  ],
  "dynamicVariables": {}
}
'
{
  "id": "<string>",
  "user": {
    "id": "<string>",
    "externalId": "<string>",
    "displayName": "<string>",
    "organisationId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "connections": [
    {
      "id": "<string>",
      "name": "<string>",
      "credentials": [
        {
          "id": "<string>"
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "baseUrl": "<string>",
      "systemId": "<string>",
      "connectionTemplateId": "<string>"
    }
  ],
  "dynamicVariables": {}
}

Authorizations

Authorization
string
header
required

Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.

Path Parameters

organisation_id
string<ulid>
required

Body

application/json

ActivationCreate is the request payload to activate an environment for End User

userId
string
required

This userID could be the id or the external_id of the user that is being activated.

environmentId
string<ulid>
required
connections
object[]
required
dynamicVariables
object

Response

200 - application/json

OK

id
string<ulid>
required
user
object
required
environment
object
connections
object[]
dynamicVariables
object